详尽步骤
Tagged Tags:

参考资料:

解决方法:

试运行一下, 只要没有报错,
就说明已经安装成功:

  1. 接下来就是安装了:

安装对应环境下的whl文件

error: Microsoft Visual C++ 14.0 is required. Get it with “Microsoft
Visual C++ Build Tools”:

第三步: 安装Scrapy,执行命令:pip install Scrapy

第一步: 需要安装wheel文件,在cmd命令窗口执行pip install wheel

使用pip安装Python Scrapy时出现以下错误:

环境是 Win8 64位 Python3.6

第二步: 执行pip install
D:/download/Twisted‑18.7.0‑cp36‑cp36m‑win_amd64.whl  即可完成whl文件的安装

    cp后面表示python的版本号, 32/64表示操作系统.

详细步骤:

  1. 下载对应的whl文件:https://www.lfd.uci.edu/~gohlke/pythonlibs/\#twisted 

问题描述: 

注意:
这里就必须要安装wheel, 否则直接执行第二步会出现以下异常:

    Twisted详尽步骤。, an event-driven
networking engine.

 

 

  • Twisted‑18.7.0‑cp27‑cp27m‑win32.whl
  • 详尽步骤。Twisted‑18.7.0‑cp27‑cp27m‑win_详尽步骤。详尽步骤。amd64.whl
  • 详尽步骤。Twisted‑18.7.0‑cp34‑cp34m‑win32.whl
  • 详尽步骤。Twisted‑18.7.0‑cp34‑cp34m‑win_amd64.whl
  • Twisted‑18.7.0‑cp35‑cp35m‑win32.whl
  • Twisted‑18.7.0‑cp35‑cp35m‑win_amd64.whl
  • Twisted‑18.7.0‑cp36‑cp36m‑win32.whl
  • Twisted‑18.7.0‑cp36‑cp36m‑win_amd64.whl
  • Twisted‑18.7.0‑cp37‑cp37m‑win32.whl
  • Twisted‑18.7.0‑cp37‑cp37m‑win_amd64.whl

Invalid
requirement: ‘D:\download\Twisted-18.7.0-cp36-cp36m-win_amd64’

It looks like a path. File
‘D:\download\Twisted-18.7.0-cp36-cp36m-win_amd64’ does not
exist.

    我这里是64位, python3.6, 就下载
“Twisted‑18.7.0‑cp36‑cp36m‑win_amd64.whl”

图片 1

以上是对安装Python Scrapy时出现问题的总结, 希望能给大家一个参考.

发表评论

电子邮件地址不会被公开。 必填项已用*标注